import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineTransactionWhereInputObjectSchema as ServiceLineTransactionWhereInputObjectSchema } from './ServiceLineTransactionWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => ServiceLineTransactionWhereInputObjectSchema).optional()
}).strict();
export const ServiceLineCountOutputTypeCountServiceLineTransactionsArgsObjectSchema = makeSchema();
export const ServiceLineCountOutputTypeCountServiceLineTransactionsArgsObjectZodSchema = makeSchema();
